# cwl_utils.schemadef

Valid forms of user defined types stored in external file.

A single dictionary (tests/types/singletype.yml) A list of dictionaries (e.g. tests/types/recursive.yml) Types can refer to other types in the file Names can not clash across files (This seems arbitrary and we allow that for packing) Only records and arrays can be defined (https://github.com/common-workflow-language/cwl-v1.2/pull/14)

From https://github.com/rabix/sbpack/blob/b8404a0859ffcbe1edae6d8f934e51847b003320/sbpack/lib.py

## Functions

`build_user_defined_type_dict`(cwl, base_url) |
`inline_types`(cwl, port, base_url, user_defined_types) |

## Module Contents

cwl_utils.schemadef.build_user_defined_type_dict(cwl, base_url)
  Parameters:

    - cwl (dict[str, Any])

    - base_url (urllib.parse.ParseResult)

  Return type:

    dict[str, Any]

cwl_utils.schemadef.inline_types(cwl, port, base_url, user_defined_types)
  Parameters:

    - cwl (dict[str, Any])

    - port (str)

    - base_url (urllib.parse.ParseResult)

    - user_defined_types (dict[str, Any])

  Return type:

    dict[str, Any]